# Interface INoResultsEventArgs

Argument sent to all handlers bound on QueryEvents.noResults

## Index

### Properties

- query
- queryBuilder
- results
- retryTheQuery
- searchAsYouType

## Properties

### query

query: IQuery

- Defined in events/QueryEvents.ts :195

The query that was just executed

### queryBuilder

queryBuilder: QueryBuilder

- Defined in events/QueryEvents.ts :191

The QueryBuilder that was used for the current query

### results

results: IQueryResults

- Defined in events/QueryEvents.ts :199

The results returned by the query that was executed

### retryTheQuery

retryTheQuery: boolean

- Defined in events/QueryEvents.ts :207

If set to true by any handler, the last query will automatically be re-executed again.

### searchAsYouType

searchAsYouType: boolean

- Defined in events/QueryEvents.ts :203

Whether the query is a search-as-you-type

### Hierarchy

- INoResultsEventArgs